Package com.documentum.fc.common

# Interface IDfTime

All Known Implementing Classes:
  `DfTime`

public interface IDfTime
The IDfTime interface provides functionality for returning information in a time object.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DF_TIME_PATTERN_DEFAULT`
  Represents time pattern string "".
  `static final String`
  `DF_TIME_PATTERN1`
  Represents time pattern string "mm/dd/yy".
  `static final String`
  `DF_TIME_PATTERN10`
  Represents time pattern string "mon dd yyyy".
  `static final String`
  `DF_TIME_PATTERN11`
  Represents time pattern string "mm/yy".
  `static final String`
  `DF_TIME_PATTERN12`
  Represents time pattern string "mm/yyyy".
  `static final String`
  `DF_TIME_PATTERN13`
  Represents time pattern string "dd/mm/yy".
  `static final String`
  `DF_TIME_PATTERN14`
  Represents time pattern string "dd/mm/yyyy".
  `static final String`
  `DF_TIME_PATTERN15`
  Represents time pattern string "mm/yy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN16`
  Represents time pattern string "mm/yyyy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN17`
  Represents time pattern string "dd/mm/yy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN18`
  Represents time pattern string "dd/mm/yyyy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN19`
  Represents time pattern string "yy/mm".
  `static final String`
  `DF_TIME_PATTERN2`
  Represents time pattern string "mm/dd/yyyy".
  `static final String`
  `DF_TIME_PATTERN20`
  Represents time pattern string "yyyy/mm".
  `static final String`
  `DF_TIME_PATTERN21`
  Represents time pattern string "yy/mm/dd".
  `static final String`
  `DF_TIME_PATTERN22`
  Represents time pattern string "yyyy/mm/dd".
  `static final String`
  `DF_TIME_PATTERN23`
  Represents time pattern string "yy/mm hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN24`
  Represents time pattern string "yyyy/mm hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN25`
  Represents time pattern string "yy/mm/dd hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN26`
  Represents time pattern string "yyyy/mm/dd hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN27`
  Represents time pattern string "yy".
  `static final String`
  `DF_TIME_PATTERN28`
  Represents time pattern string "yyyy".
  `static final String`
  `DF_TIME_PATTERN29`
  Represents time pattern string "mon-yy".
  `static final String`
  `DF_TIME_PATTERN3`
  Represents time pattern string "dd-mon-yy".
  `static final String`
  `DF_TIME_PATTERN30`
  Represents time pattern string "mon-yyyy".
  `static final String`
  `DF_TIME_PATTERN31`
  Represents time pattern string "yy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN32`
  Represents time pattern string "yyyy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN33`
  Represents time pattern string "mon-yy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN34`
  Represents time pattern string "mon-yyyy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN35`
  Represents time pattern string "month yy".
  `static final String`
  `DF_TIME_PATTERN36`
  Represents time pattern string "month yyyy".
  `static final String`
  `DF_TIME_PATTERN37`
  Represents time pattern string "month, yy".
  `static final String`
  `DF_TIME_PATTERN38`
  Represents time pattern string "month, yyyy".
  `static final String`
  `DF_TIME_PATTERN39`
  Represents time pattern string "month yy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN4`
  Represents time pattern string "dd-mon-yyyy".
  `static final String`
  `DF_TIME_PATTERN40`
  Represents time pattern string "month yyyy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN41`
  Represents time pattern string "month, yy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN42`
  Represents time pattern string "month, yyyy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN43`
  Represents time pattern string "mm/dd/yy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN44`
  Represents time pattern string "mm/dd/yyyy hh:mi:ss".
  `static final String`
  `DF_TIME_PATTERN45`
  Represents time pattern string "yyyy-mm-dd".
  `static final String`
  `DF_TIME_PATTERN46`
  Represents time pattern string "yyyy-mm-dd".
  `static final String`
  `DF_TIME_PATTERN5`
  Represents time pattern string "month dd yy".
  `static final String`
  `DF_TIME_PATTERN6`
  Represents time pattern string "month dd, yy".
  `static final String`
  `DF_TIME_PATTERN7`
  Represents time pattern string "month dd yyyy".
  `static final String`
  `DF_TIME_PATTERN8`
  Represents time pattern string "month dd, yyyy".
  `static final String`
  `DF_TIME_PATTERN9`
  Represents time pattern string "mon dd yy".

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `asString(String pattern)`
  Returns the date/time formatted according to the specified pattern.
  `int`
  `compareTo(IDfTime time)`
  Returns 1 if this date/time is later than the argument "time"; 0 if the two date/times are the same; or -1 if this date/time object represents an older time than the argument.
  `boolean`
  `equals(Object time)`
  Returns `true` if the argument is a DfTime object that represents the same date/time as this object.
  `Date`
  `getDate()`
  Returns the date as a Java Date.
  `int`
  `getDay()`
  Returns the day portion of the date as an integer (e.g., 28).
  `int`
  `getHour()`
  Returns the hour portion of the date as an integer.
  `int`
  `getMinutes()`
  Returns the minutes portion of the date as an integer.
  `int`
  `getMonth()`
  Returns the month portion of the date as an integer (e.g., 12).
  `String`
  `getPattern()`
  Returns the pattern string used to format the date/time.
  `int`
  `getSeconds()`
  Returns the seconds portion of the date as an integer.
  `int`
  `getYear()`
  Returns the year portion of the date as an integer (e.g., 1998).
  `boolean`
  `isNullDate()`
  Indicates whether this object represents a NULLDATE.
  `boolean`
  `isValid()`
  Indicates whether the underlying date string has a valid format.
  `String`
  `toString()`
  Returns the time string used to construct the DfTime object, or, if the DfTime object was constructed with a Java Date object, the result of formatting the date/time using DF_TIME_PATTERN_DEFAULT.

- ## Field Details

  - ### DF_TIME_PATTERN1

    static final String DF_TIME_PATTERN1
    Represents time pattern string "mm/dd/yy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN2

    static final String DF_TIME_PATTERN2
    Represents time pattern string "mm/dd/yyyy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN3

    static final String DF_TIME_PATTERN3
    Represents time pattern string "dd-mon-yy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN4

    static final String DF_TIME_PATTERN4
    Represents time pattern string "dd-mon-yyyy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN5

    static final String DF_TIME_PATTERN5
    Represents time pattern string "month dd yy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN6

    static final String DF_TIME_PATTERN6
    Represents time pattern string "month dd, yy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN7

    static final String DF_TIME_PATTERN7
    Represents time pattern string "month dd yyyy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN8

    static final String DF_TIME_PATTERN8
    Represents time pattern string "month dd, yyyy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN9

    static final String DF_TIME_PATTERN9
    Represents time pattern string "mon dd yy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN10

    static final String DF_TIME_PATTERN10
    Represents time pattern string "mon dd yyyy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN11

    static final String DF_TIME_PATTERN11
    Represents time pattern string "mm/yy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN12

    static final String DF_TIME_PATTERN12
    Represents time pattern string "mm/yyyy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN13

    static final String DF_TIME_PATTERN13
    Represents time pattern string "dd/mm/yy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN14

    static final String DF_TIME_PATTERN14
    Represents time pattern string "dd/mm/yyyy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN15

    static final String DF_TIME_PATTERN15
    Represents time pattern string "mm/yy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN16

    static final String DF_TIME_PATTERN16
    Represents time pattern string "mm/yyyy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN17

    static final String DF_TIME_PATTERN17
    Represents time pattern string "dd/mm/yy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN18

    static final String DF_TIME_PATTERN18
    Represents time pattern string "dd/mm/yyyy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN19

    static final String DF_TIME_PATTERN19
    Represents time pattern string "yy/mm".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN20

    static final String DF_TIME_PATTERN20
    Represents time pattern string "yyyy/mm".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN21

    static final String DF_TIME_PATTERN21
    Represents time pattern string "yy/mm/dd".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN22

    static final String DF_TIME_PATTERN22
    Represents time pattern string "yyyy/mm/dd".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN23

    static final String DF_TIME_PATTERN23
    Represents time pattern string "yy/mm hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN24

    static final String DF_TIME_PATTERN24
    Represents time pattern string "yyyy/mm hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN25

    static final String DF_TIME_PATTERN25
    Represents time pattern string "yy/mm/dd hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN26

    static final String DF_TIME_PATTERN26
    Represents time pattern string "yyyy/mm/dd hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN27

    static final String DF_TIME_PATTERN27
    Represents time pattern string "yy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN28

    static final String DF_TIME_PATTERN28
    Represents time pattern string "yyyy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN29

    static final String DF_TIME_PATTERN29
    Represents time pattern string "mon-yy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN30

    static final String DF_TIME_PATTERN30
    Represents time pattern string "mon-yyyy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN31

    static final String DF_TIME_PATTERN31
    Represents time pattern string "yy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN32

    static final String DF_TIME_PATTERN32
    Represents time pattern string "yyyy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN33

    static final String DF_TIME_PATTERN33
    Represents time pattern string "mon-yy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN34

    static final String DF_TIME_PATTERN34
    Represents time pattern string "mon-yyyy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN35

    static final String DF_TIME_PATTERN35
    Represents time pattern string "month yy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN36

    static final String DF_TIME_PATTERN36
    Represents time pattern string "month yyyy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN37

    static final String DF_TIME_PATTERN37
    Represents time pattern string "month, yy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN38

    static final String DF_TIME_PATTERN38
    Represents time pattern string "month, yyyy".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN39

    static final String DF_TIME_PATTERN39
    Represents time pattern string "month yy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN40

    static final String DF_TIME_PATTERN40
    Represents time pattern string "month yyyy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN41

    static final String DF_TIME_PATTERN41
    Represents time pattern string "month, yy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN42

    static final String DF_TIME_PATTERN42
    Represents time pattern string "month, yyyy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN43

    static final String DF_TIME_PATTERN43
    Represents time pattern string "mm/dd/yy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN44

    static final String DF_TIME_PATTERN44
    Represents time pattern string "mm/dd/yyyy hh:mi:ss".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN45

    static final String DF_TIME_PATTERN45
    Represents time pattern string "yyyy-mm-dd".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN46

    static final String DF_TIME_PATTERN46
    Represents time pattern string "yyyy-mm-dd".
    See Also:
      - Constant Field Values

  - ### DF_TIME_PATTERN_DEFAULT

    static final String DF_TIME_PATTERN_DEFAULT
    Represents time pattern string "".
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getYear

    int getYear()
    Returns the year portion of the date as an integer (e.g., 1998). If the underlying date is a "nulldate" or has an invalid format, then 0 is returned.
    Returns:
      the year portion of the date as an integer.

  - ### getMonth

    int getMonth()
    Returns the month portion of the date as an integer (e.g., 12). If the underlying date is a "nulldate", then 0 is returned. If the information is not contained in the time object (e.g. it was constructed with the year only: DfTime("1998", yyyy)), 1 is returned.
    Returns:
      the month portion of the date as an integer.

  - ### getDay

    int getDay()
    Returns the day portion of the date as an integer (e.g., 28). If the underlying date is a "nulldate", then 0 is returned. If the information is not contained in the time object (e.g. it was constructed with the year only: DfTime("1998", yyyy)), 1 is returned.
    Returns:
      the day portion of the date as an integer.

  - ### getHour

    int getHour()
    Returns the hour portion of the date as an integer. If the underlying date is a "nulldate" or the DfTime object was created without time information, 0 is returned.
    Returns:
      the hour portion of the date as an integer.

  - ### getMinutes

    int getMinutes()
    Returns the minutes portion of the date as an integer. If the underlying date is a "nulldate" or the DfTime object was created without time information, 0 is returned.
    Returns:
      the minutes portion of the date as an integer.

  - ### getSeconds

    int getSeconds()
    Returns the seconds portion of the date as an integer. If the underlying date is a "nulldate" or the DfTime object was created without time information, 0 is returned.
    Returns:
      the seconds portion of the date as an integer.

  - ### getDate

    Date getDate()
    Returns the date as a Java Date.
    Returns:
      the date as a Java date. This will be `null` under the following conditions: 1) the object was constructed with a `null` date string or if that string equals "nullstring" (ignoring case); 2) the object was constructed with a date string that could not be parsed with the provided pattern string (or with the default pattern string if no pattern string was provided).

  - ### asString

    String asString(String pattern)
    Returns the date/time formatted according to the specified pattern. If this string was not returned from the server and if the pattern argument is not one of the 45 patterns defined in IDfTime, the string returned will be formatted using the default pattern. If the string was constructed on the client side and it was constructed with a `null` string argument or the string "NULLDATE", returns `null`.
    Parameters:
      `pattern` - a Documentum date/time pattern string. See the comments for the constructor DfTime(String, String). for a listing of the legal patterns.
    Returns:
      the date formatted

  - ### toString

    String toString()
    Returns the time string used to construct the DfTime object, or, if the DfTime object was constructed with a Java Date object, the result of formatting the date/time using DF_TIME_PATTERN_DEFAULT.
    Overrides:
      `toString` in class `Object`
    Returns:
      the internal time string.

  - ### getPattern

    String getPattern()
    Returns the pattern string used to format the date/time. If the constructor DfTime(String date, String pattern) was used to create this DfTime object, this method returns pattern argument passed to that constructor. If one of the other constructors was used, this method returns the pattern DF_TIME_PATTERN_DEFAULT.
    Returns:
      the pattern used to format this date/time.

  - ### isNullDate

    boolean isNullDate()
    Indicates whether this object represents a NULLDATE.
    Returns:
      `true` if the value of the DfTime object is "nulldate" or if the DfTime object was constructed with a `null` string.

  - ### isValid

    boolean isValid()
    Indicates whether the underlying date string has a valid format. There is some overhead connected with calling this method since it will attempt to parse the string if it has not done so already.
    Returns:
      `true` if this contains a valid date/time string.

  - ### equals

    boolean equals(Object time)
    Returns `true` if the argument is a DfTime object that represents the same date/time as this object. This method returns `false` if the two date/times are different, if the argument is not of type DfTime, or if either this object or the argument does not represent a valid time. Note: This method returns a value of true if the method’s argument represents a time that is within one second of the time that the object represents.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `time` - a DfTime object
    Returns:
      `true` if argument is a DfTime object that represents the same date/time as this object.

  - ### compareTo

    int compareTo(IDfTime time)
    Returns 1 if this date/time is later than the argument "time"; 0 if the two date/times are the same; or -1 if this date/time object represents an older time than the argument. For the sake of this comparison, invalid times come before valid times so the result of `myNullTime.compareTo(myInvalidTime)` would be 1 (myNullTime is bigger). If both this DfTime object and the argument represent invalid times, 0 is returned. Otherwise, NULLDATEs always preceed any valid time.
    Parameters:
      `time` - a DfTime object
    Returns:
      return 1 if this date/time is later than the argument "time"; 0, if the two date/times are the same; or -1 if this date/time object represents an older time than the argument.